Enable managing workboard for #Project-Creators
Closed, ResolvedPublic

Description

Per discussion on IRC:

Currently members of the Project-Admins team can't manage their own board which is quite paradoxical. It's been said that it is due to the technical restrictions as a side-effect of disabling the project members to add other members.

I propose to enable the workboard management and forbid adding of new members by current members by policy. Current memebers are trusted users, so it does not have to be enforced by the software blocking which blocks other useful features along.

Danny_B created this task.Feb 13 2016, 2:55 PM
Danny_B added subscribers: Danny_B, Project-Admins.
Restricted Application added subscribers: Luke081515, scfc, Aklapper. · View Herald TranscriptFeb 13 2016, 2:55 PM

I'd prefer not to let any random project-creators member edit membership of the group, that would allow bypassing admins to get access.

I guess we should let create a member of Phabricator columns instead. But which columns? I prefer:

  • at discussion
  • tracking tasks (A column to replace tracking tasks by a project)

What do you think?

How about splitting? Project-Creators as the group to handle rights and Project-Creation as a project editable/joinable by Project-Creators?

Might this be a good case for splitting off ACL usage into a separate project?

Seems like the best solution for me.

Might this be a good case for splitting off ACL usage into a separate project?

@Krenair: Could you take care of it then, please?

Might this be a good case for splitting off ACL usage into a separate project?

@Krenair: Could you take care of it then, please?

An Admin has to do this. At the moment @Krenair is not a phabricator admin.

I wouldn't have a problem with giving @Krenair admin privileges, actually...

Luke081515 closed this task as "Resolved".Feb 15 2016, 8:28 AM
Luke081515 claimed this task.

Looks like it's resolved now.

Restricted Application added a project: User-Luke081515. · View Herald TranscriptFeb 15 2016, 8:28 AM
Aklapper changed the task status from "Resolved" to "Declined".Feb 15 2016, 8:33 AM

Nothing changed so nothing got resolved here...

Danny_B changed the task status from "Declined" to "Resolved".Feb 15 2016, 8:55 AM

Nothing changed so nothing got resolved here...

It actually changed. Now it is possible to edit the workboard. Thanks to @mmodell who created #acl*Project-Admins and separated the user rights from the Project-Admins team.

Ah, thanks! Grmpf, that was not shown in the project log. :(

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 19 2016, 8:36 PM